<?php
ob_start();
session_start();
ignore_user_abort(true);
date_default_timezone_set("Asia/Shanghai");
if($_SERVER['HTTP_APPVERSION']){
include "./saesiteinfo.php";
}else{
 if(!file_exists("./install/install.lock")){
header('location:./install');
exit;
 }else{
include "./siteinfo.php";
 }
}
include "./function.php";
//连接数据库
$localhost=mysql_connect($sqlhost,$sqluser,$sqlpass)or die("无法连接服务器");
mysql_select_db($sqldata,$localhost);
if (isset($_COOKIE["SHANIUUSER"]) && isset($_COOKIE["SHANIUPASS"])){
$user=$_COOKIE["SHANIUUSER"];
$pass=$_COOKIE["SHANIUPASS"];
//获取用户资料
$mysql = mysql_query("SELECT * FROM user WHERE user='$user'");
$sql= mysql_fetch_array($mysql);
//获取QQ数
$qqnumsql="SELECT COUNT(id) FROM qqlist WHERE myqq='$user' ";
$qqnumqqlist = mysql_fetch_array( mysql_query($qqnumsql) );
$qqnum=$qqnumqqlist[0];
//随机获取服务器
$suiji[1]="fw1";
$suiji[2]="fw2";
$suiji[3]="fw3";
$suiji[4]="fw4";
$suiji[5]="fw5";
$suiji[6]="fw6";
$suiji[7]="fw7";
$suiji[8]="fw8";
$suijishu=rand(1,8);
$fuwu=$suiji[$suijishu];
//获取当前时间
$time=time();
//QID生成
$qid=date("Ymd")."".rand(1000000000,9999999999)."".date("His");
//初始化挂Q
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
$qt=$_SESSION['qt'];
$qw=$_SESSION['qw'];
$qq=$_SESSION['qq'.$qt.''];
$pw=$_SESSION['pw'.$qt.''];
$qs=$qt+1;
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
$qqlistrow = mysql_query("SELECT * FROM qqlist WHERE qq='$qq' and myqq='$user'");
$qqlist=mysql_fetch_array($qqlistrow);

if ($pass!=$sql['pass']){
echo "您还没有登录";
}else{
//@@@@@开始挂Q了
echo "共有".$qw."个QQ,";
if ($qt>=$qw){
echo "全部添加完成";
}else{
echo "正在为您挂第".$qs ."个QQ---QQ号码为:".$qq;
}
echo "<hr />";
if ($qt>=$qw){
echo "全部QQ添加完成<br />";
echo '<a href="./user.php">返回用户中心</a>5秒后自动返回用户中心</a>';
header("refresh:5;url=./user.php");
}else{
if (isset($_POST['yzm'])){
$out=addqqyyzm($_POST['qq'],$_POST['pw'],$_POST['r'],$_POST['extend'],$_POST['r_sid'],$_POST['sid'],$_POST['ip'],$_POST['hidpw'],$_POST['verify']);
}else{
$out=addqqwyzm($qq,$pw);
}
//开始判断
if($_SERVER["REQUEST_URI"]=="/batch_do.php?Next"){
//跳转QQ
if ($qt<=$qw){
$_SESSION['qt']=$qt+1;
}
header("Location: ./batch_do.php");
}elseif($qqnum>=$sql['peie']+$chushi){
echo "系统提示:挂Q配额已满,请扩充<br />";
echo '<a href="./user.php">返回用户中心</a>2秒后返回用户中心</a>';
header("refresh:2;url=./user.php");
}elseif ($qq==$qqlist['qq']){
echo "系统提示:该账户已存在此QQ<br />";
echo '<a href="./user.php">返回用户中心</a>或<a href="./batch_do.php">2秒后自动跳转下一个QQ</a>';
if ($qt<=$qw){
$_SESSION['qt']=$qt+1;
}
header("refresh:2;url=./batch_do.php");
}elseif (@eregi("您输入的账号不存在",$out)){
//@@@@@@帐号不存在
echo "腾讯提示:您输入的账号不存在<br />";
echo '<a href="./user.php">返回用户中心</a>或<a href="./batch_do.php">2秒后自动跳转下一个QQ</a>';
if ($qt<=$qw){
$_SESSION['qt']=$qt+1;
}
header("refresh:2;url=./batch_do.php");
}elseif(@eregi("操作异常",$out)){
//@@@@@@验证码
$a=explode('请输入上图字符(不区分大小写)：',$out);
$outt=$a[0];
$b=$a[1];
$img=explode('src="',$outt);
$img=explode('" alt="',$img[1]);
$rt=explode('name="r" value="',$out);
$rw=explode('"/>',$rt[1]);
$extendt=explode('name="extend" value="',$out);
$extendw=explode('"/>',$extendt[1]);
$r_sidt=explode('name="r_sid" value="',$out);
$r_sidw=explode('"/>',$r_sidt[1]);
$login_urlt=explode('name="login_url" value="',$out);
$login_urlw=explode('"/>',$login_urlt[1]);
$sidt=explode('name="sid" value="',$out);
$sidw=explode('"/>',$sidt[1]);
$ipt=explode('name="rip" value="',$out);
$ipw=explode('"/>',$ipt[1]);
$hidpwt=explode('name="hexpwd" value="',$out);
$hidpww=explode('"/>',$hidpwt[1]);
echo 'QQ:'.$qq.'<br />需要输入QQ验证码:<br /><img src="'.$img[0].'">';
echo '<form name="aa" action="" method="post">';
echo '<input type="hidden" name="qq" value="'.$qq.'"/>';
echo '<input type="hidden" name="pw" value="'.$pw.'"/>';
echo '<input type="hidden" name="r" value="'.$rw[0].'"/>';
echo '<input type="hidden" name="extend" value="'.$extendw[0].'"/>';
echo '<input type="hidden" name="r_sid" value="'.$r_sidw[0].'"/>';
echo '<input type="hidden" name="login_url" value="'.$login_urlw[0].'"/>';
echo '<input type="hidden" name="sid" value="'.$sidw[0].'"/>';
echo '<input type="hidden" name="ip" value="'.$ipw[0].'">';
echo '<input type="hidden" name="hidpw" value="'.$hidpww[0].'">';
echo '<input type="text" name="verify" value="" style="width:100px">';
echo '<br />';
echo '<input type="submit" name="yzm" value="马上登录" style="width:100px">';
echo '</form>';
echo '<a href="./user.php">返回用户中心</a>或<a href="./batch_do.php?Next">20秒后自动跳转下一个QQ</a>';
header("refresh:20;url=./batch_do.php?Next");
}elseif(@eregi("密码不正确",$out)){
//@@@@@密码不正确
echo '腾讯提示:您的QQ帐号或密码不正确<br />';
echo '<a href="./user.php">返回用户中心</a>或<a href="./batch_do.php">2秒后自动跳转下一个QQ</a>';
if ($qt<=$qw){
$_SESSION['qt']=$qt+1;
}
header("refresh:2;url=./batch_do.php");
}elseif(@eregi("系统繁忙",$out)){
//@@@@@系统繁忙
echo '腾讯提示:系统繁忙为您获取SID码<br />';
echo '<a href="./user.php">返回用户中心</a>或<a href="./batch_do.php">2秒后自动跳转下一个QQ</a>';
if ($qt<=$qw){
$_SESSION['qt']=$qt+1;
}
header("refresh:2;url=./batch_do.php");
}elseif(@eregi("登录3GQQ成功",$out)){
//@@@@@@@登录成功
$out=explode('sid=',$out);
$sid=substr($out[1],0,24);
//@@@@@@@@@@@@@@@@@@@@@@@@
//创建QQ列表
mysql_query("INSERT INTO qqlist (myqq,fwq,qid,qq,pw,sid,time) VALUES ('$user','$fuwu','$qid','$qq','$pw','$sid','$time')");
//创建QQ在线列表
mysql_query("INSERT INTO $fuwu (qid,qq,pw,sid) VALUES ('$qid','$qq','$pw','$sid')");
file_get_contents("http://ti.3g.qq.com/g/s?sid=" . $sid . "&r=" . $qq. "&aid=arelate&ac=42&tu=weibiantai&bid=h%23QQGenius%230%230%230%2316");
//呼出提示
echo $qq."挂Q记录添加成功<br />";
echo '<a href="./user.php">返回用户中心</a>或<a href="./batch_do.php">2秒后自动跳转下一个QQ</a>';
if ($qt<=$qw){
$_SESSION['qt']=$qt+1;
}
header("refresh:2;url=./batch_do.php");
}else{
//@@@@未知错误
echo "腾讯提示:未知错误。跳转下一个QQ<br />";
echo '<a href="./user.php">返回用户中心</a>或<a href="./batch_do.php">2秒后自动跳转下一个QQ</a>';
if ($qt<=$qw){
$_SESSION['qt']=$qt+1;
}
header("refresh:2;url=./batch_do.php");
}
}
//@@@@@@@@@@@@@@@@@@
}

}else{
//如果没登录就显示下面的
header("Location: ./tishi.php");
}
?>